24 lines
950 B
Diff
24 lines
950 B
Diff
|
Index: xen-4.1.0-testing/tools/hotplug/Linux/init.d/xencommons
|
||
|
===================================================================
|
||
|
--- xen-4.1.0-testing.orig/tools/hotplug/Linux/init.d/xencommons
|
||
|
+++ xen-4.1.0-testing/tools/hotplug/Linux/init.d/xencommons
|
||
|
@@ -45,6 +45,18 @@ do_start () {
|
||
|
local time=0
|
||
|
local timeout=30
|
||
|
|
||
|
+ # Load XEN backend modules
|
||
|
+ # NB: They could be loaded later, e.g. when dom0 hotplug events occur,
|
||
|
+ # but for now it's safest to have them loaded here.
|
||
|
+ modprobe evtchn 2>/dev/null || true
|
||
|
+ modprobe gntdev 2>/dev/null || true
|
||
|
+ modprobe blktap 2>/dev/null || true
|
||
|
+ modprobe blkbk 2>/dev/null || true
|
||
|
+ modprobe netbk 2>/dev/null || true
|
||
|
+ modprobe usbbk 2>/dev/null || true
|
||
|
+ # xenblk (frontend module) is needed in dom0, allowing it to use vbds
|
||
|
+ modprobe xenblk 2>/dev/null || true
|
||
|
+
|
||
|
if ! `xenstore-read -s / >/dev/null 2>&1`
|
||
|
then
|
||
|
test -z "$XENSTORED_ROOTDIR" || XENSTORED_ROOTDIR="/var/lib/xenstored"
|